org.richfaces.component

## Class UIProgressBar

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - org.ajax4jsf.component.AjaxActionComponent
        - - org.ajax4jsf.component.UIPoll
          - - org.richfaces.component.UIProgressBar

- All Implemented Interfaces:
    javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource
  Direct Known Subclasses:
    HtmlProgressBar

      public abstract class UIProgressBar
      extends UIPoll

  Class provides base component class for progress bar
  Author:
    "Andrey Markavtsov"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY` Component family
    `static java.lang.String` | `COMPONENT_TYPE` Component type
    `static java.lang.String` | `FORCE_PERCENT_PARAM` Request parameter name containing component state to render

    - ### Fields inherited from class org.ajax4jsf.component.AjaxActionComponent

      `FOCUS_DATA_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface org.ajax4jsf.component.AjaxComponent

      `AJAX_COMPONETT_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIProgressBar()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast(javax.faces.event.FacesEvent event)` Method performs broadcasting of jsf events to progress bar component
    `java.lang.Number` | `getNumber(java.lang.Object v)` Converts value attr to number value

    - ### Methods inherited from class org.ajax4jsf.component.UIPoll

      `getInterval, isEnabled, isSubmitted, setEnabled, setInterval, setSubmitted, setupReRender`

    - ### Methods inherited from class org.ajax4jsf.component.AjaxActionComponent

      `addAjaxListener, getAjaxListeners, getSingleComponent, queueEvent, removeAjaxListener, setupReRender`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, getValue, isImmediate, removeActionListener, restoreState, saveState, setAction, setActionExpression, setActionListener, setImmediate, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.component.AjaxComponent

      `getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getProcess, getRequestDelay, getReRender, getSimilarityGroupingId, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setProcess, setRequestDelay, setReRender, setSimilarityGroupingId, setStatus, setTimeout`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      Component type
      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      Component family
      See Also:
        Constant Field Values

    - #### FORCE_PERCENT_PARAM

          public static final java.lang.String FORCE_PERCENT_PARAM

      Request parameter name containing component state to render
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIProgressBar

          public UIProgressBar()

  - ### Method Detail

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Method performs broadcasting of jsf events to progress bar component
      Overrides:
        `broadcast` in class `org.ajax4jsf.component.AjaxActionComponent`
      Parameters:
        `event` - - Faces Event instance
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### getNumber

          public java.lang.Number getNumber(java.lang.Object v)

      Converts value attr to number value
      Parameters:
        `v` - - value attr
      Returns:
        result

Copyright © 2014. All Rights Reserved.